Package org.jfree.layouting.input.style.selectors.conditions

## Interface CSSCondition

- All Superinterfaces:
    `org.w3c.css.sac.Condition`, `java.io.Serializable`
  All Known Implementing Classes:
    `AndCSSCondition`, `AttributeCSSCondition`, `BeginHyphenAttributeCSSCondition`, `ContentCSSCondition`, `IdCSSCondition`, `LangCSSCondition`, `NegativeCSSCondition`, `OneOfAttributeCSSCondition`, `OrCSSCondition`, `PositionalCSSCondition`, `PseudoClassCSSCondition`

      public interface CSSCondition
      extends org.w3c.css.sac.Condition, java.io.Serializable

  Creation-Date: 24.11.2005, 19:43:59
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.css.sac.Condition

      `SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isMatch​(java.lang.Object resolveState)` |

    - ### Methods inherited from interface org.w3c.css.sac.Condition

      `getConditionType`

- - ### Method Detail

    - #### isMatch

          boolean isMatch​(java.lang.Object resolveState)